#### Previous topic

scipy.special.sph_jnyn

#### Next topic

scipy.special.sph_kn

# scipy.special.sph_in

`scipy.special.``sph_in`(n, z)

  Compute spherical Bessel function in(z) and derivative.

  This function computes the value and first derivative of in(z) for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of in to compute

  z : complex

  > Argument at which to evaluate

  Returns:

  in : ndarray

  > Value of i0(z), ..., in(z)

  inp : ndarray

  > First derivative i0’(z), ..., in’(z)

  References

  [R352] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 8. http://jin.ece.illinois.edu/specfunc.html